## Delete from Wishlist

### cURL

```bash
curl --request DELETE \
  --url https://prod01-apigw.yourcompany.fabric.zone/api-cart/wishlist/user/item/{itemId} \
  --header 'Authorization: <authorization>' \
  --header 'x-site-context: <x-site-context>'
```

### Python

```python
import requests

url = "https://prod01-apigw.yourcompany.fabric.zone/api-cart/wishlist/user/item/{itemId}"

headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "<authorization>"
}

response = requests.delete(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```javascript
const options = {
  method: 'DELETE',
  headers: {'x-site-context': '<x-site-context>', Authorization: '<authorization>'}
};

fetch('https://prod01-apigw.yourcompany.fabric.zone/api-cart/wishlist/user/item/{itemId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php


```

### Response

* **200** - Item Deleted from Wishlist  
  ```json
  {
    "userId": "5ff5d4a40227d073b02dcfeb",
    "items": [1000000014]
  }
  ```

* **Error Responses:**  
  * **400**  
  * **403**  
  * **404**  
  * **500**  
  ```json
  {
    "code": "<string>",
    "message": "<string>"
  }
  ```  
  ```json
  {
    "code": "INVALID_AUTHORIZATION_TOKEN",
    "message": "Invalid Authorization Token"
  }
  ```  
  ```json
  {
    "code": "WISHLIST_NOT_FOUND",
    "message": "Wishlist not found."
  }
  ```

#### Headers

* **x-site-context**  
  * Type: string  
  * Required: Yes  
  * Description: The `x-site-context` header is a JSON object that contains information about the source you wish to pull from. The mandatory `account` is the 24 character identifier found in Copilot. The `channel` (Sales channel ID), `stage` (environment name), and `date` attributes can be used to further narrow the scope of your data source.  
  * Example: 
  ```json
  {"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account": "1234abcd5678efgh9ijklmno","stage":"production"}
  ```

* **Authorization**  
  * Type: string  
  * Required: Yes

#### Path Parameters

* **itemId**  
  * Type: number  
  * Required: Yes  
  * Example: 
  ```json
  "1000000012"
  ```
